FROM lopter/raring-base
MAINTAINER jake@devtable.com

RUN echo deb http://archive.ubuntu.com/ubuntu precise universe > /etc/apt/sources.list.d/universe.list
RUN apt-get update -qq
RUN apt-get install -qqy iptables ca-certificates lxc python-virtualenv git python-dev xz-utils aufs-tools

# This will use the latest public release. To use your own, comment it out...
ADD https://get.docker.io/builds/Linux/x86_64/docker-latest /usr/local/bin/docker
# ...then uncomment the following line, and copy your docker binary to current dir.
#ADD ./docker /usr/local/bin/docker

# Install the files
ADD ./startserver /usr/local/bin/startserver
ADD ./buildserver.py ./buildserver.py
ADD ./requirements.txt ./requirements.txt

RUN chmod +x /usr/local/bin/docker /usr/local/bin/startserver

RUN virtualenv --distribute venv
RUN venv/bin/pip install -r requirements.txt

VOLUME /var/lib/docker

EXPOSE 5002:5002
CMD startserver